spec:
- rankstr:
    version: 0.0.3
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      build_type: RelWithDebInfo
      ipo: false
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: 5e7c7ijwk2k7p4chlyug3funagohdwh6myi5d5cyc2peyhp6tgvq====
    dependencies:
      cmake:
        hash: l4lapaympzoyq24xomd7estpoudrxk47
        type:
        - build
      mpich:
        hash: yjeie5m6evgrkohwd7voxt3z2nm6vs2f
        type:
        - build
        - link
    hash: dtzuuc5hak3akyndev7k7fus7f2l5zgh
    full_hash: cxcl6ziibq662w6vx44j5xo4pqr7zfu6
- cmake:
    version: 3.20.5
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      build_type: Release
      doc: false
      ncurses: true
      openssl: true
      ownlibs: true
      qt: false
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: szm3pwaub5waj5zs7v5p7b3huba4pqqb6hcoxbd5natcy2khvama====
    dependencies:
      ncurses:
        hash: rdgcz6u67kf4tts4gchpplh7uqvdkpfw
        type:
        - build
        - link
      openssl:
        hash: 4wakmtknltqlbdmmk4vkesx2r35orqok
        type:
        - build
        - link
    hash: zyz2eldbrcih3f6l37dyvdxmyoiyvhv5
    full_hash: l4lapaympzoyq24xomd7estpoudrxk47
- ncurses:
    version: '6.2'
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      abi: none
      symlinks: false
      termlib: true
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: r4nunvnb7us7pov6bsna62ep46rxvobqhgrg3txlkv57z6s2toxa====
    dependencies:
      pkgconf:
        hash: jvm5n4jwnjrwpkn4cfavsl7asd6asm6w
        type:
        - build
    hash: n5vhymfigwg6e45k7thdfyeswuhxojtx
    full_hash: rdgcz6u67kf4tts4gchpplh7uqvdkpfw
- pkgconf:
    version: 1.7.4
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: oyzcze6haw33iorysgd3ld4xld7ayjjjfnavojmzm4u2pgn66jxq====
    hash: newgzwqsa26igxgtfo7gop5vgntfejjs
    full_hash: jvm5n4jwnjrwpkn4cfavsl7asd6asm6w
- openssl:
    version: 1.1.1k
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      docs: false
      systemcerts: true
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: ojjhepri4enundug4dzvaojxxb4evsdlk4mtqezbktyzig5cm2ta====
    dependencies:
      perl:
        hash: osuhk73uasmhwec2w7xnetruyjqgmoqy
        type:
        - build
        - test
      zlib:
        hash: ffumpahlqlnbekddhthxcvhsl4s3i6cz
        type:
        - build
        - link
    hash: rvjrbxtcq5qu3d3irstrbubcdb7va6va
    full_hash: 4wakmtknltqlbdmmk4vkesx2r35orqok
- perl:
    version: 5.34.0
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      cpanm: true
      shared: true
      threads: true
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: 2havq6sd5qoghb6ybesfrilps3st52e3ikbasc5m3axh7vkry3rq====
    dependencies:
      berkeley-db:
        hash: rreld2ayuoeecvybjv4x5ivhu4jwgr6h
        type:
        - build
        - link
      bzip2:
        hash: 6ly7yux2l2m7lvjjty2xmiekyda5zkap
        type:
        - build
        - link
      gdbm:
        hash: sbq4x7olqlpgmm7p726usoyo33us66de
        type:
        - build
        - link
      zlib:
        hash: ffumpahlqlnbekddhthxcvhsl4s3i6cz
        type:
        - build
        - link
    hash: czjb72tbies6obhlz5ujbst6zwdoslph
    full_hash: osuhk73uasmhwec2w7xnetruyjqgmoqy
- berkeley-db:
    version: 18.1.40
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      cxx: true
      docs: false
      patches:
      - b231fcc4d5cff05e5c3a4814f6a5af0e9a966428dc2176540d2c05aff41de522
      stl: true
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    patches:
    - b231fcc4d5cff05e5c3a4814f6a5af0e9a966428dc2176540d2c05aff41de522
    package_hash: iqe5iwznv4y3uz7x255z64ftprbyfjhdnnetm57bfpwxqimsudfq====
    hash: pn2cxagxazegjvyzo4srwxgr54hl4r3y
    full_hash: rreld2ayuoeecvybjv4x5ivhu4jwgr6h
- bzip2:
    version: 1.0.8
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      debug: false
      pic: false
      shared: true
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: 3pchiqmhi6gqv67bx5pjnoyy4n5w4gewud35jrf47o6ae6wwrp3q====
    dependencies:
      diffutils:
        hash: 3muxvx37w4x6j5xslms27tsttuz2mohc
        type:
        - build
    hash: y67eszd5llhcqotum46vjsifxuxao3y7
    full_hash: 6ly7yux2l2m7lvjjty2xmiekyda5zkap
- diffutils:
    version: '3.7'
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: 7yamnzzryv2s3tlntgcxnikaavgvi2vplmyz65xmuoalaxfrockq====
    dependencies:
      libiconv:
        hash: miqhmhgcllqkmxju6jz75m2djmj3puml
        type:
        - build
        - link
    hash: 2eqr3ycegtpfhyf3lqjbcvaoik3cz4dy
    full_hash: 3muxvx37w4x6j5xslms27tsttuz2mohc
- libiconv:
    version: '1.16'
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: qxo4fcl3mmg7eqbkhyn2hhgq4eyffhe4nz73mibjqszudj265rba====
    hash: w6zptbclncs3jsnl3i4qtg72fgheiwdf
    full_hash: miqhmhgcllqkmxju6jz75m2djmj3puml
- gdbm:
    version: '1.19'
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: nz6quylm2mnaoqewuxhr6ui74qu7k2ths5ulerhfx36clqwftneq====
    dependencies:
      readline:
        hash: pidmahhqajmmk4kj3o7o5qmwau3iitux
        type:
        - build
        - link
    hash: g4xrv3gnewgw5zk7cj3brs32imgffprr
    full_hash: sbq4x7olqlpgmm7p726usoyo33us66de
- readline:
    version: '8.1'
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: vvylilofgll6nuyowsltu7pwb32e7cnbhllh5ynzyql7ixglbyea====
    dependencies:
      ncurses:
        hash: rdgcz6u67kf4tts4gchpplh7uqvdkpfw
        type:
        - build
        - link
    hash: fvag4vkcyipnv5vihjke24xs4rz26opn
    full_hash: pidmahhqajmmk4kj3o7o5qmwau3iitux
- zlib:
    version: 1.2.11
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      optimize: true
      pic: true
      shared: true
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: t3qdu2afvzyuexh6o6rnekus2anqxoussw65cpmwm47dzkbmbtia====
    hash: p7dmb5pqi6svirhovljrkp3uyfiytz3m
    full_hash: ffumpahlqlnbekddhthxcvhsl4s3i6cz
- mpich:
    version: 3.4.2
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      argobots: false
      device: ch4
      fortran: true
      hwloc: true
      hydra: true
      libxml2: true
      netmod: ofi
      pci: true
      pmi: pmi
      romio: true
      slurm: false
      verbs: false
      wrapperrpath: false
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: ni46ct3nuislm3taheiau4awxp7baus52qofpkqjhuetcot4mgrq====
    dependencies:
      findutils:
        hash: 6w44vz73ea43ij6d5kkdj45fw6l2j2m3
        type:
        - build
      hwloc:
        hash: m33hmvhtu5ttgallsqenzrtwqpckl7vo
        type:
        - build
        - link
      libfabric:
        hash: hrrrgvne5unngp2oit22qvyb7spngrqf
        type:
        - build
        - link
      libpciaccess:
        hash: u4lkb7zvz44vhxr7tyjo64zopkuxdfme
        type:
        - build
        - link
      libxml2:
        hash: g2deftecsbdnlrgzditjqk4dpfzhzirj
        type:
        - build
        - link
      pkgconf:
        hash: jvm5n4jwnjrwpkn4cfavsl7asd6asm6w
        type:
        - build
    hash: z3qvcplqpvri2tliohtqp7ei2lnvqsf3
    full_hash: yjeie5m6evgrkohwd7voxt3z2nm6vs2f
- findutils:
    version: 4.8.0
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: m2radzm7vlh55rbwxp24vzcpb5nljijgwke5z2ysxow3h5cijsmq====
    hash: atnrdycu2ximokskt55h3fart7s4cbev
    full_hash: 6w44vz73ea43ij6d5kkdj45fw6l2j2m3
- hwloc:
    version: 2.4.1
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      cairo: false
      cuda: false
      gl: false
      libudev: false
      libxml2: true
      netloc: false
      nvml: false
      opencl: false
      pci: true
      rocm: false
      shared: true
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: vdn7sztjxz2aucjw4v5yydvymkweyiaq6ec7fgoigljyp5kpxalq====
    dependencies:
      libpciaccess:
        hash: u4lkb7zvz44vhxr7tyjo64zopkuxdfme
        type:
        - build
        - link
      libxml2:
        hash: g2deftecsbdnlrgzditjqk4dpfzhzirj
        type:
        - build
        - link
      ncurses:
        hash: rdgcz6u67kf4tts4gchpplh7uqvdkpfw
        type:
        - build
        - link
      pkgconf:
        hash: jvm5n4jwnjrwpkn4cfavsl7asd6asm6w
        type:
        - build
    hash: eeigvjc57oehl37canx4h5lfganpvdq2
    full_hash: m33hmvhtu5ttgallsqenzrtwqpckl7vo
- libpciaccess:
    version: '0.16'
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: 2mgp7xh7u5cqe3p6kcdaktqwwrisvtrnevka453xaikahg7awjsa====
    dependencies:
      libtool:
        hash: xq65k5u4dwsjnlt4hb7wt7mbmvgtkind
        type:
        - build
      pkgconf:
        hash: jvm5n4jwnjrwpkn4cfavsl7asd6asm6w
        type:
        - build
      util-macros:
        hash: ljyvwqfcm7r32wgeezou4funmiwattbw
        type:
        - build
    hash: ux5xkhgfhhmitpkxfuf5h6ooudsiwhd4
    full_hash: u4lkb7zvz44vhxr7tyjo64zopkuxdfme
- libtool:
    version: 2.4.6
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: dobbgayteq44d5dm3w5gms4554gdf3fho6ho75i75xvsbhwtwfta====
    dependencies:
      m4:
        hash: vqafl3pd5rplz33vvn4qv645fiih4gdx
        type:
        - build
    hash: uh3mpsu5tx5vd2h2knykvn2qb3itxjtu
    full_hash: xq65k5u4dwsjnlt4hb7wt7mbmvgtkind
- m4:
    version: 1.4.19
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      sigsegv: true
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: mzishhezp2h3pmxbnpgxiqcmct4xrym242xqrzocz3lbjfja6cta====
    dependencies:
      libsigsegv:
        hash: qods4xtswkqi46jzjw4squ3p76liofap
        type:
        - build
        - link
    hash: 7fztfyzdb3a2f2sjiaypootxwkmcpt5a
    full_hash: vqafl3pd5rplz33vvn4qv645fiih4gdx
- libsigsegv:
    version: '2.13'
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: fnbfqxe5shtknxk6p67bwewo5cz6jnsrvlnaeibvsxuglnh6jrbq====
    hash: 2fxv3kyhgfpgbi3xh3k3t6aitld7fh3g
    full_hash: qods4xtswkqi46jzjw4squ3p76liofap
- util-macros:
    version: 1.19.3
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: bby54d26qry3anczjlbh4xcm2xsrfxh2wpssnmltwyoawgow4tbq====
    hash: khaz3mmqjmxz5bvv3obqzddv7wshb47e
    full_hash: ljyvwqfcm7r32wgeezou4funmiwattbw
- libxml2:
    version: 2.9.10
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      python: false
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: zh6qrsy7re7isolgjno63itxia5upmoetynv56xhiwibvfs57wea====
    dependencies:
      libiconv:
        hash: miqhmhgcllqkmxju6jz75m2djmj3puml
        type:
        - build
        - link
      pkgconf:
        hash: jvm5n4jwnjrwpkn4cfavsl7asd6asm6w
        type:
        - build
      xz:
        hash: ximjjqnzfpgu2un7bfg36dxm3fk2yo27
        type:
        - build
        - link
      zlib:
        hash: ffumpahlqlnbekddhthxcvhsl4s3i6cz
        type:
        - build
        - link
    hash: qlt5ajqqmtin3atqcycnv67oex63cvny
    full_hash: g2deftecsbdnlrgzditjqk4dpfzhzirj
- xz:
    version: 5.2.5
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      libs:
      - shared
      - static
      pic: true
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: 2lnxh2slo2eq2uxlehnirshcgdddh2rydvxpjktaokwyklm7rexq====
    hash: ynkyqliadxgrqpk4mavevv3onehjrdco
    full_hash: ximjjqnzfpgu2un7bfg36dxm3fk2yo27
- libfabric:
    version: 1.12.1
    arch:
      platform: linux
      platform_os: ubuntu20.04
      target: x86_64
    compiler:
      name: gcc
      version: 9.3.0
    namespace: builtin
    parameters:
      debug: false
      fabrics:
      - rxm
      - sockets
      - tcp
      - udp
      kdreg: false
      cflags: []
      cppflags: []
      cxxflags: []
      fflags: []
      ldflags: []
      ldlibs: []
    package_hash: ypy4pbemeqgkqs2crrqumhuys7novv73o5n6avdtusnq7cmcjlva====
    hash: lgug4cxazbl24jdtmttovd5qpnr6os7z
    full_hash: hrrrgvne5unngp2oit22qvyb7spngrqf
binary_cache_checksum:
  hash_algorithm: sha256
  hash: 5a6b3d79ad7d54b46d24787718d03471d12f0f15872e2dd9624aebb009b93062
buildinfo:
  relative_prefix: linux-ubuntu20.04-x86_64/gcc-9.3.0/rankstr-0.0.3-dtzuuc5hak3akyndev7k7fus7f2l5zgh
  relative_rpaths: false
